Generation Framework

## org.eclipse.gmf.tooldef
Interface ToolGroup

All Superinterfaces:
  AbstractTool, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ToolContainer

All Known Implementing Classes:
  ToolGroupImpl

    public interface ToolGroup

extends ToolContainer

A representation of the model object 'Tool Group'.

The following features are supported:

- `Collapsible`
- `Stack`
- `Active`

See Also:
  `GMFToolPackage.getToolGroup()`
** Generated **
Model:

Method Summary
`AbstractTool` `getActive()` Returns the value of the 'Active' reference
`boolean` `isCollapsible()` Returns the value of the 'Collapsible' attribute
`boolean` `isStack()` Returns the value of the 'Stack' attribute
`void` `setActive(AbstractTool value)` Sets the value of the '`Active`' reference
`void` `setCollapsible(boolean value)` Sets the value of the '`Collapsible`' attribute
`void` `setStack(boolean value)` Sets the value of the '`Stack`' attribute

Methods inherited from interface org.eclipse.gmf.tooldef.ToolContainer
`getTools`

Methods inherited from interface org.eclipse.gmf.tooldef.AbstractTool
`getDescription, getLargeIcon, getSmallIcon, getTitle, setDescription, setLargeIcon, setSmallIcon, setTitle`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isCollapsible

    boolean isCollapsible()

  Returns the value of the 'Collapsible' attribute.

  If the meaning of the 'Collapsible' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Collapsible' attribute.
  See Also:
    `setCollapsible(boolean)`, `GMFToolPackage.getToolGroup_Collapsible()`
  ** Generated **
  Model:

### setCollapsible

    void setCollapsible(boolean value)

  Sets the value of the '`Collapsible`' attribute.

  Parameters:
    `value` - the new value of the 'Collapsible' attribute.
  See Also:
    `isCollapsible()`
  ** Generated **

### isStack

    boolean isStack()

  Returns the value of the 'Stack' attribute.

  If the meaning of the 'Stack' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Stack' attribute.
  See Also:
    `setStack(boolean)`, `GMFToolPackage.getToolGroup_Stack()`
  ** Generated **
  Model:

### setStack

    void setStack(boolean value)

  Sets the value of the '`Stack`' attribute.

  Parameters:
    `value` - the new value of the 'Stack' attribute.
  See Also:
    `isStack()`
  ** Generated **

### getActive

    AbstractTool getActive()

  Returns the value of the 'Active' reference.

  If the meaning of the 'Active' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Active' reference.
  See Also:
    `setActive(AbstractTool)`, `GMFToolPackage.getToolGroup_Active()`
  ** Generated **
  Model:

### setActive

    void setActive(AbstractTool value)

  Sets the value of the '`Active`' reference.

  Parameters:
    `value` - the new value of the 'Active' reference.
  See Also:
    `getActive()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.